# @ptkhanh94npm/magnam-ipsa-mollitia

Seamlessly craft and conditionally concatenate class names for your web elements.

## Installation

```bash
npm install @ptkhanh94npm/magnam-ipsa-mollitia --save
```

or

```bash
yarn add @ptkhanh94npm/magnam-ipsa-mollitia
```

## Usage

```typescript
import @ptkhanh94npm/magnam-ipsa-mollitia from "@ptkhanh94npm/magnam-ipsa-mollitia";

const classes = @ptkhanh94npm/magnam-ipsa-mollitia("foo", { bar: true, baz: false });
console.log(classes); // Outputs: "foo bar"
```

## Examples

### Simple Usage

```typescript
import React from "react";
import @ptkhanh94npm/magnam-ipsa-mollitia from "@ptkhanh94npm/magnam-ipsa-mollitia";

function Button({ primary, disabled, children }) {
  return (
    <button
      className={@ptkhanh94npm/magnam-ipsa-mollitia(
        "button",
        { "button--primary": primary },
        { "button--disabled": disabled }
      )}
    >
      {children}
    </button>
  );
}

export default Button;
```

### Advanced Usage

```typescript
import React from "react";
import @ptkhanh94npm/magnam-ipsa-mollitia from "@ptkhanh94npm/magnam-ipsa-mollitia";

function Card({ featured, highlighted, darkMode, extraClass, children }) {
  return (
    <div
      className={@ptkhanh94npm/magnam-ipsa-mollitia(
        "card",
        { "card--featured": featured },
        { "card--highlighted": highlighted },
        { "card--dark": darkMode },
        extraClass // this could be a string or an object
      )}
    >
      {children}
    </div>
  );
}

export default Card;
```

## Contributing

Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

## Author

**Martik Avagyan**

- Website: [martikavagyan.com](https://martikavagyan.com)
- Twitter: [@martikavagyan](https://twitter.com/martikavagyan)
- GitHub: [@m-avagyan](https://github.com/m-avagyan)

## License

[MIT](https://choosealicense.com/licenses/mit/)
